summaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
authorAdin Scannell <ascannell@google.com>2020-02-27 10:21:33 -0800
committergVisor bot <gvisor-bot@google.com>2020-02-27 10:22:41 -0800
commit8e2b14fecf204b35fe258816792bdc03a1ca0912 (patch)
treea8551802ee5915b84be1cbf47c7ae354f2c6d8fa /tools
parent8fb84f78adfc0dba964ebe97edb51ebf8a80f752 (diff)
Use automated release notes, if available.
PiperOrigin-RevId: 297628615
Diffstat (limited to 'tools')
-rwxr-xr-xtools/tag_release.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/tools/tag_release.sh b/tools/tag_release.sh
index f33b902d6..4dbfe420a 100755
--- a/tools/tag_release.sh
+++ b/tools/tag_release.sh
@@ -21,13 +21,19 @@
set -xeu
# Check arguments.
-if [ "$#" -ne 2 ]; then
- echo "usage: $0 <commit|revid> <release.rc>"
+if [ "$#" -ne 3 ]; then
+ echo "usage: $0 <commit|revid> <release.rc> <message-file>"
exit 1
fi
declare -r target_commit="$1"
declare -r release="$2"
+declare -r message_file="$3"
+
+if ! [[ -r "${message_file}" ]]; then
+ echo "error: message file '${message_file}' is not readable."
+ exit 1
+fi
closest_commit() {
while read line; do
@@ -64,6 +70,6 @@ fi
# Tag the given commit (annotated, to record the committer).
declare -r tag="release-${release}"
-(git tag -m "Release ${release}" -a "${tag}" "${commit}" && \
+(git tag -F "${message_file}" -a "${tag}" "${commit}" && \
git push origin tag "${tag}") || \
(git tag -d "${tag}" && false)